#### 4.22.3.22 isSimplicial

`Syntax:`
  `isSimplicial(` cone c `)`
  `isSimplicial(` fan f `)`
`Type:`
  int
`Purpose:`
  1 iff the cone resp. fan is simplicial; 0 otherwise
`Example:`

      LIB"gfanlib.so";
      intmat M1[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone c1=coneViaPoints(M1);
      isSimplicial(c1);
      ==> 1
      intmat M2[4][3]=
      1,0,0,
      0,1,0,
      0,0,1,
      1,1,-1;
      cone c2=coneViaPoints(M2);
      isSimplicial(c2);
      ==> 0
      /***********************/
      fan f=emptyFan(3);
      isSimplicial(f);
      ==> 1
      intmat N1[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone d1=coneViaPoints(N1);
      insertCone(f,d1);
      isSimplicial(f);
      ==> 1
      intmat N2[4][3]=
      1,0,0,
      0,1,0,
      1,0,-1,
      0,1,-1;
      cone d2=coneViaPoints(N2);
      insertCone(f,d2);
      isSimplicial(f);
      ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.